<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>検品ツール</title>
    <style>
        #inputField {
            position: absolute;
            top: -100px;
        }
        #counter {
            text-align: center;
            font-size: 2em;
            margin-top: 20px;
        }
        #dataList {
            margin-top: 20px;
            padding: 10px;
            border: 1px solid #ccc;
            min-height: 200px;
        }
    </style>
</head>
<body>
    <input type="text" id="inputField">
    <div id="counter">読み取った回数: 0</div>
    <div id="dataList"></div>

    <script>
        document.addEventListener('DOMContentLoaded', (event) => {
            const inputField = document.getElementById('inputField');
            const counter = document.getElementById('counter');
            const dataList = document.getElementById('dataList');

            let allData = []; // Changed from a Set to an array

            inputField.addEventListener('keydown', (event) => {
                if (event.key === 'Enter') {
                    const data = inputField.value.trim();
                    if (data !== '') {
                        allData.push(data); // Push to array instead of adding to Set
                        displayData();
                        inputField.value = '';
                    }
                }
            });

            setTimeout(() => {
                inputField.focus();
            }, 100);

            function displayData() {
                counter.textContent = `読み取った回数: ${allData.length}`; // Update count from array length
                dataList.innerHTML = '';
                allData.forEach(item => { // Display each item in the array
                    const dataItem = document.createElement('div');
                    dataItem.textContent = item;
                    dataList.appendChild(dataItem);
                });
            }
        });

        document.addEventListener('click', () => {
            const inputField = document.getElementById('inputField');
            setTimeout(() => {
                inputField.focus();
            }, 0);
        });
    </script>
</body>
</html>
